petsc-3.4.2 2013-07-02

# TSSetUp

Sets up the internal data structures for the later use of a timestepper.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetUp(TS ts)

Collective on TS

### Input Parameter

ts -the TS context obtained from TSCreate()

### Notes

For basic use of the TS solvers the user need not explicitly call TSSetUp(), since these actions will automatically occur during the call to TSStep(). However, if one wishes to control this phase separately, TSSetUp() should be called after TSCreate() and optional routines of the form TSSetXXX(), but before TSStep().

### Keywords

TS, timestep, setup

### See Also

TSCreate(), TSStep(), TSDestroy()

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex17.c.html
src/ts/examples/tutorials/ex28.c.html
src/ts/examples/tutorials/ex1f.F.html